function test_minimization
	x0=[1,4];
	[x,fval]=fminsearch(@simple_function,x0)
			% as I don't want to specify options or extra parameters
			% we can skip those arguments

% NOTE: the returned minimum value will likely be positive, despite the fact
% that the TRUE minimum is clearly zero, because the location of the minimum
% is only found to some level of accuracy

end

function f = simple_function(pars)
	a=pars(1);
	b=pars(2);
	f= 2*(a-2)^2+3*(b-3)^2;
		% embarrassingly simple function, whose minimum is at (2,3)
end
